<nz-collapse>
  <nz-collapse-panel [nzHeader]="panelHeader">
    <ng-template #panelHeader>
      <span i18n="Schema Changes | Header @@schemaChanges">
        Schema Changes
      </span>
    </ng-template>

    <div *ngFor="let schemaChange of schemaChanges">
      <h2>{{ schemaChange.name }}</h2>
      <div>
        <nz-tag
          *ngIf="schemaChange.type === 'changed'"
          i18n="Schema Changed | Status @@schemaChanged"
        >Schema changed
        </nz-tag>
        <nz-tag
          *ngIf="schemaChange.type === 'new'"
          i18n="Schema Added | Status @@schemaAdded"
        >Schema added
        </nz-tag>
        <nz-tag
          *ngIf="schemaChange.type === 'removed'"
          i18n="Schema Removed | Status @@schemaRemoved"
        >Schema removed
        </nz-tag>
      </div>

      <nz-list>
        <nz-list-header
          *ngIf="(schemaChange.changedVerbs ?? []).length > 0"
          i18n="Changed Verbs | Sub header @@changedVerbs">
          Changed Verbs
        </nz-list-header>

        <nz-list-item *ngFor="let changedVerb of schemaChange.changedVerbs">
          <nz-list-item-meta [nzAvatar]="listItemIcon1" [nzTitle]="changedVerb.new?.label" [nzDescription]="changedVerb.description">
            <ng-template #listItemIcon1>
              <fa-icon [icon]="faWrench"></fa-icon>
            </ng-template>
          </nz-list-item-meta>
          <div class="object-changes" *ngIf="changedVerb.objectChanges.length > 0">
            <app-object-changes
              [objectChanges]="changedVerb.objectChanges"></app-object-changes>
          </div>
        </nz-list-item>

        <nz-list-item *ngIf="(schemaChange.newVerbs ?? []).length > 0">
          <nz-list-item-meta nzDescription="New Verbs"></nz-list-item-meta>
        </nz-list-item>

        <nz-list-item *ngFor="let newVerb of schemaChange.newVerbs">
          <nz-list-item-meta [nzAvatar]="listItemIcon" [nzTitle]="newVerb.new?.label" [nzDescription]="newVerb.description">
            <ng-template #listItemIcon>
              <fa-icon [icon]="faPlus"></fa-icon>
            </ng-template>
          </nz-list-item-meta>
          <div class="object-changes" *ngIf="newVerb.objectChanges.length > 0">
            <app-object-changes
              [objectChanges]="newVerb.objectChanges"></app-object-changes>
          </div>
        </nz-list-item>

        <nz-list-item *ngIf="(schemaChange.newVerbs ?? []).length > 0">
          <nz-list-item-meta [nzDescription]="descriptionLocalized"></nz-list-item-meta>
          <ng-template #descriptionLocalized>
            <span i18n="Removed Verbs | Sub header @@removedVerbs">
              Removed Verbs
            </span>
          </ng-template>
        </nz-list-item>

        <nz-list-item *ngFor="let removedVerb of schemaChange.removedVerbs">
          <nz-list-item-meta [nzAvatar]="listItemIcon" [nzTitle]="removedVerb.old?.label" [nzDescription]="removedVerb.description">
            <ng-template #listItemIcon>
              <fa-icon [icon]="faTrash"></fa-icon>
            </ng-template>
          </nz-list-item-meta>

          <div class="object-changes" *ngIf="removedVerb.objectChanges.length > 0">
            <app-object-changes
              [objectChanges]="removedVerb.objectChanges"></app-object-changes>
          </div>
        </nz-list-item>

        <nz-list-item *ngIf="(schemaChange.newVerbs ?? []).length > 0">
          <nz-list-item-meta [nzDescription]="descriptionLocalized1"></nz-list-item-meta>
          <ng-template #descriptionLocalized1>
            <span i18n="Objects in Verb changed | Sub header @@objectsInVerbChanged">
              Objects in Verb changed
            </span>
          </ng-template>
        </nz-list-item>


        <nz-list-item *ngFor="let verb of schemaChange.verbsWithChangedObjects">
          <nz-list-item-meta [nzAvatar]="listItemIcon" [nzTitle]="verb.old?.label" [nzDescription]="verb.description">
            <ng-template #listItemIcon>
              <fa-icon [icon]="faWrench"></fa-icon>
            </ng-template>
          </nz-list-item-meta>
          <div class="object-changes" *ngIf="verb.objectChanges.length > 0">
            <app-object-changes
              [objectChanges]="verb.objectChanges"></app-object-changes>
          </div>
        </nz-list-item>
      </nz-list>
    </div>
  </nz-collapse-panel>
</nz-collapse>
